How do I restore to 3.0 or 3.01???

Discussion in 'Jailbreaks and iOS Hacks' started by jimmybond, Sep 19, 2009.

  1. jimmybond macrumors newbie

    Joined:
    Sep 17, 2009
    #1
    I have a 3GS running 3.0 (7A341) I have itunes 8.2

    I have downloaded FW 2,1 3.0 and 2,1 3.0.1. I have renamed the .zip to .IPSW.

    I press shift and restore in itunes and locate the IPSW (tried both).

    After extraction it says contacting apple serves then it says "THE IPHONE COULD NOT BE RESTORED. THIS DEVICE ISN'T ELIGIBLE FOR THE REQUESTED BUILD".

    Is there a workaround please??? I need to activate the phone as a new phone and only restoring the phone (I believe) can get me to that bit.

    I DO NOT WANT TO RESTORE TO 3.1

    Thanks fior any help. I'm desperate!
     
  2. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #2
    The 3.0 and 3.01 IPSW's are no longer signed by Apple for the 3GS, Therefore you cannot select them in iTunes.

    Only the 3.1 is signed for the 3GS. You seem to allude to an understanding of this when you said in your other thread that you don't want to restore because you would have to restore to 3.1 which is indeed correct.
     
  3. bruinsrme macrumors 601

    bruinsrme

    Joined:
    Oct 26, 2008
    #3
    Sounds like you are running windows or you are trying use a jailbreak IPSW and not using redsn0w

    there are two things you can do.
    1. download it in firefox and save in the default folder.

    2. Internet explorer
    You have to disable Hide Extensions For Known File Types... Click Start--->Computer--->Tools(This is at the top of the toolbar)--->View--->then you uncheck Hide Extension For Know File Types.

    Press Apply. Press Ok.

    From Captian Chaos over on modmyi

    If you are using safari
    Link
     
  4. jimmybond thread starter macrumors newbie

    Joined:
    Sep 17, 2009
    #4
    You're giving me a glimmer of hope! But I dont know what you're saying and how its different to what I've done. Am on Windows. Can you direct me to a walkthrough please, or what I should be searching for on google.

    Thanks mate
     
  5. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #5
    The issue is not really being able to DL the IPSW's

    Even when Downloaded, iTunes will not allow you to select them as they are no longer signed for 3GS.
     
  6. jimmybond thread starter macrumors newbie

    Joined:
    Sep 17, 2009
    #6
    So are you saying it is IMPOSSIBLE to restore my phone to 3.0 or 3.01?
     
  7. bruinsrme macrumors 601

    bruinsrme

    Joined:
    Oct 26, 2008
    #7
    ahhhh..... Now I understand but is that only for itunes 9?
     
  8. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #8

    Yes, at the current time you cannot restore to anything other than 3.1.
     
  9. jimmybond thread starter macrumors newbie

    Joined:
    Sep 17, 2009
    #9
    Won't let me on 8.2.

    I need to activate my phone as a new phone. This is the only way to remove the different SIM detected after unlocking.
     
  10. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #10
    Doesn't matter which version of iTunes. The older IPSW's are not longer signed by Apple for 3GS.

    Everything is different for 3G, however. You can still pick any version and restore to it.
     
  11. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #11
    @ Jimmybond

    I suggest you do some reading of the DevTeam Blog (it comes up with Google)

    All this is well covered over there and you can watch for the release of 3.1 JB tools for 3GS which is what you need.
     
  12. hidehide macrumors 6502

    Joined:
    May 1, 2007
    #12
    dhlizard +1

    You can't restore back to 3.0 or 3.0.1 with 3gs, unless you have backed up your ECID SHSH through cydia (if your 3gs is previously jailbroken)
     
  13. bruinsrme macrumors 601

    bruinsrme

    Joined:
    Oct 26, 2008
    #13
    hmmmm. So lets say my 3Gs that is JB on 3.0 and it craps out.
    (saurik has my ECID on file)
    I would have to restore to 3.1 first.
    Then run the down grade app and JB that way?
     
  14. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #14
    I have a 3G not 3GS, so as I understand it Saurik can use the info he collected on his server to "sign" the 3.0 and 3.0.1 IPSw's for a 3GS.

    As far as specific procedure, don't know.

    If you go to Saurik's twitter page (link on DevTeam Blog) go down the twitter posts. Saurik posted a link to a webpage he put up that explains this in detail, I believe. I didn't rreally read anything but the introduction paragraph since I don't have a 3GS. Here is the link ----> http://www.saurik.com/id/12 Would not work when inserted into insert link ???

    @Jimmybond

    Here is a link about the files on Saurik's server, but if you didn't get these earlier, it is too late.
     
  15. jimmybond thread starter macrumors newbie

    Joined:
    Sep 17, 2009
    #15
    You cant back up anymore, so that doesnt work for me. I need to find another way of removing the different sim card detected after unlocking. Restore would have done it but that's out.
     
  16. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #16
    I believe the only way to fix the unlock malfunction will be a restore, re-JB and re-UL.

    You will have to wait for DevTeam or someone else to release a JB for 3GS for the 3.1 firmware.
     
  17. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #17
    OK, if you are stuck with a 3GS and need to downgrade (just remember, it won't downgrade the 3.1 baseband) or need to restore but don't want to go to 3.1, perhaps this will be of help.

    It was just posted a few minutes ago....

    TinyTSS

    Apparently the "Umbrella" portion collects the files needed to sign any prior IPSW file, then stores the files on your computer.

    Although I don't have a 3GS and don't have this issue, I wanted to pass the info on.

    I'm sure your phone needs to be operational, not stuck, to collect these.
     
  18. Ozawa macrumors newbie

    Joined:
    Feb 4, 2010
    #18
    its also happen with ipod Touch?

    i just bought an Ipod Touch and the version already 3.1.2 and i want to JB using blackra1n and then when the proccess done its only showing dark screen i tought something wrong then when i want to restored to 3.1.2 it's always say "the ipod cant be restored, this not eliglable bla..bla..bla...
    what i'm confused is its already a 3.1.2 but why i cant restored to same version???:confused::confused::confused:
     
  19. pixelated macrumors 6502a

    pixelated

    Joined:
    Oct 21, 2008
    #19
    resurrecting a 5 month old thread to post an ipod question in the Iphone forums..? not the greatest idea ever.

    It cant be restored because apple wants people to use the most up to date FW. They cant force you to upgrade, but they can stop you going back. (not including Sauriks work)
     
  20. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #20
    Just run blackra1n again. You have a tethered jailbreak, and will have to run blackra1n every time you need to boot your phone.
     
  21. noammcgregor macrumors newbie

    Joined:
    Feb 5, 2010
    #21
    I want to do the same thing

    I just bought a refurbished ipod touch and it's firmware is 2.2.1 i want 3.1.2 so i can jailbreak using blackra1n but I do not want 3.1.3
     
  22. Penguissimo macrumors 6502a

    Penguissimo

    Joined:
    Nov 17, 2009
    Location:
    Michigan
    #22
    There are many, many, many other threads scattered around the board that address this type of issue. Posting in an already inexplicably-resurrected thread about a different firmware version on a different device is possibly the least effective method of research you could have chosen.

    You will need to upgrade to 3.1.3, then find a copy of the 3.1.2 ipsw for your device, then point redsn0w at it. Again, the specific steps for doing this have been posted all over this board.
     

Share This Page